org.apache.ignite.internal.cache.query.index.sorted.keys

## Class PlainJavaObjectIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.JavaObjectIndexKey
  - - org.apache.ignite.internal.cache.query.index.sorted.keys.PlainJavaObjectIndexKey

All Implemented Interfaces:
  IndexKey

    public class PlainJavaObjectIndexKey
    extends JavaObjectIndexKey

### Constructor Summary

Constructors
Constructor and Description
`PlainJavaObjectIndexKey(@Nullable Object key, @Nullable byte[] serialized)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `bytesNoCopy()`
`Object` `key()`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.keys.JavaObjectIndexKey

`bytes, compare, hashCode, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlainJavaObjectIndexKey

    public PlainJavaObjectIndexKey(@Nullable
                                   @Nullable Object key,
                                   @Nullable
                                   @Nullable byte[] serialized)

### Method Detail

#### bytesNoCopy

    public byte[] bytesNoCopy()

Specified by:
  `bytesNoCopy` in class `JavaObjectIndexKey`
Returns:
  Cached byte array that represents a Java object.

#### key

    public Object key()

Returns:
  Value of this key.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021